%define name 	reiserfsprogs
%define version	3.x.0i
%define release 3mdk
%define ftpurl	ftp://ftp.namesys.com/pub/reiserfsprogs
%define url	http://www.namesys.com/

Summary: The utilities to create Reiserfs volume.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{ftpurl}/%{name}-%{version}-1.tar.bz2
Patch0: reiserfsprogs-3.x.0i-v2message.patch.bz2
Patch1: reiserfsprogs-3.x.0i-mkstemp.patch.bz2
Patch2: reiserfsprogs-3.x.0i-non-interactive-when-force.patch.bz2
Patch3: reiserfsprogs-3.x.0i-reformat-banner-version.patch.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Epoch: 1
ExcludeArch: ppc
Url: %{url}
Obsoletes: reiserfs-utils

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month.  Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .mkstemp
%patch2 -p1 -b .force
%patch3 -p1 -b .reformat

%build
%configure
%make OPTFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_mandir}/man8
make install DESTDIR=%{buildroot} MANDIR=%{buildroot}%{_mandir}/man8/
mv -f %{buildroot}/usr/sbin %{buildroot}/sbin
(cd %{buildroot}/sbin
ln -s ./mkreiserfs mkfs.reiserfs
ln -s /bin/true fsck.reiserfs )
(cd %{buildroot}%{_mandir}/man8
ln -s ./mkreiserfs.8 mkfs.reiserfs.8
ln -s ./reiserfsck.8 fsck.reiserfs.8 )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING
/sbin/*
%{_mandir}/*/*

%changelog
* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.x.0i-3mdk
- fsck.reiserfs should be symlinked to /bin/true to avoid problems at
  boot.

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.x.0i-2mdk
- Reformat banner to don't make ugly message at boot.
- Readd force patch.

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.x.0i-1mdk
- use reiserfsprogs only
- add RedHat mkstemp patch.
- removed unused patches.

* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-7mdk
- 3.x.0i.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-6mdk
- 3.x.0h.

* Sat Feb 24 2001 Pixel <pixel@mandrakesoft.com> 3.6.25-5mdk
- non-interactive-when-force option is used (for batch use, like DrakX)

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-4mdk
- 3.x.0d.

* Mon Jan 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-3mdk
- Readd fake fsck.reiserfs.
- Put utils in /sbin and not somewhere else.

* Fri Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 3.6.25-2mdk
- ExcludeArch PPC

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-1mdk
- First version dumped from kernel.
